import dynamix_sdk.base as _base


class CloudapiImageCreateVirtualResultInt(_base.BaseAPIResultInt):
    pass


class CloudapiImageCreateVirtualProtocol(_base.BasePostAPIFunctionProtocol):
    def create_virtual(
        self,
        *,
        name: str,
        target_image_id: int,
        account_id: int | None = None,
    ) -> CloudapiImageCreateVirtualResultInt:
        ...
